CryptoMan For Windows

CryptoMan CryptoMan for Windows

Description

CryptoMan is a file encryption/decryption utility that allows you to securely encode any type of file using up to a 448-bit encryption key. The program can also permanently remove the original file from the system by first overwriting it with binary ones and zeroes, then deleting it.

Warning: Multi-Megabyte files can take up to a few minutes to encrypt or decrypt and up to six times longer to wipe. The program hasn’t locked up if you can still use other programs, it is just working, be patient.

To get the latest version of CryptoMan and other great shareware and freeware, visit the Alteridem Computing web site.

Note: CryptoMan was originally called Encrypt-It, but changed its name to avoid confusion with the commercial encryption program of the same name by MaeDae Enterprises


How to Use CryptoMan for Windows

CryptoMan for Windows

  1. Select the files you want to operate on using the Drive, Directory and File List boxes on the left of the display. Just like Windows Explorer, you may select a sequence of files by holding down the Shift key and clicking on the first and last files in the sequence with the left mouse button. You may also select multiple individual files by holding down the Ctrl key and clicking on the files you want with the mouse.
  2. Once you have selected the files you want, simply click on the Encrypt, Decrypt or Wipe buttons.
Encrypt Button | Will encode the selected files. If the password has not been set, you will be prompted to enter a password. Also, unless you have indicated that you want to use the default extensions in the Setup, you will be prompted for the output filename. If you have selected Auto Wipe in the Setup or in Options, the original file will be wiped after it is encrypted.
Decrypt button | Will decode the selected files. The above holds true for passwords, extensions and removing the original file. The program will not decrypt files that it did not encrypt in the first place or if you give it the wrong password.
Wipe Button | Will totally remove a file from the system by first successively overwriting it with binary ones and zeroes, then deleting the overwritten file. Once this is done, there is no way to recover the file. You can change the number of times the file is overwritten before being deleted in the Setup.
Set Password Button | Will prompt you for a password and have you confirm it. Password must be between 5 and 56 characters. The longer the password, the more secure it is. Passwords are also case sensitive and can contain any character or symbol on the keyboard.
Clear Password | Will delete the password from memory, preventing anyone from using it if you leave your computer unattended. Depending on the option you select in Setup, the password is automatically cleared either when you close the program, after every batch of encryptions or decryptions, or after every file encrypted of decrypted.
Setup Button | Allows you to specify how often the password is cleared; whether or not the program prompts for the output filenames or generates them automatically from the default extension; how thoroughly the program wipes a file; and whether or not original files are automatically wiped after encryption or decryption.
Help Button | Brings up this screen.
Exit Button | I’ll leave this one up to you to figure out.


CryptoMan Setup

Password - Controls how often the password is cleared; when the program is closed, at the end of every batch of encryptions or decryptions, or after every file is encrypted or decrypted.

Output Filenames - Determines whether or not the user will be prompted for output filenames. If Add or Strip Default Extension is selected, the default extension in the edit box on the right will be added to the output filename if it is not already there and stripped from the filename if it is.

Wipe Files - Determines how many times the file is overwritten before being deleted. Lowest overwrites the file twice (once with binary zeroes and once with binary ones), Medium overwrites the file four times, and Highest overwrites it six times. If Automatically Wipe Source Files is checked, the original files will automatically be wiped and deleted after they are encrypted or decrypted.


Registering CryptoMan

This program is not freeware, it is shareware. If after trying the program for 30 days you find it useful, you are required to register it. If you do not, then you must stop using it and delete it from your computer. This copy of CryptoMan is fully functional and not crippled in any way. Nag screens will not bother you to register or annoy you in any way. I leave it up to you to register the program and help support future development.

To register, send a money-order or cheque cashable at a Canadian bank for $5 per copy to;

Robert Prouse
210 Rebecca St.
Oakville, Ontario
Canada L6K 1J9

Registering entitles you to all future upgrades of CryptoMan free of charge. You may install CryptoMan on more than one computer as long as it will only be used by one user. If more than one user will be using CryptoMan, then you must purchase multiple licences.

This program may be redistributed as a part of shareware compilations as long as only a nominal fee is charged for the distribution media, the program is not changed in any way and it is clear to the user that this program is shareware and requires additional licencing fees.

Please send all bug reports and requests for additional features or suggestions to the above address or to vertigo@globalserve.net. Your input is valuable and will ensure that this program will be maintained.

Legal Stuff

I make no warranty as to the fitness of this program for any purpose. You use it at your own risk, any files lost, damaged or destroyed are your responsibility, although this should not happen unless you forget your password. You know what Murphy is like though! If you do forget the password you used, you are out of luck, even an 8 character password would take months to crack!